Skip site navigation (1) Skip section navigation (2)

Installing pl/pgsql under Irix 5.3

From: Stuart Rison <stuart(at)ludwig(dot)ucl(dot)ac(dot)uk>
To: pgsql-general(at)postgresql(dot)org, pgsql-interfaces(at)postgresql(dot)org
Subject: Installing pl/pgsql under Irix 5.3
Date: 1999-05-19 10:58:18
Message-ID: v04020a02b36847eca2a1@[128.40.242.190] (view raw or whole thread)
Thread:
Lists: pgsql-generalpgsql-interfaces
Dear all,

I'm having trouble installing PL/pgSQL under Irix 5.3.

at first gmake gave me the following error message:

merlin::postgres 52% gmake
cc -I../../../include -I../../../backend     -I../../../interfaces/libpq
-I../../../include -I../../../backend -c -o pl_parse.o pl_gram.c
cfe: Error: gram.y: 1460: Cannot open file pl_scan.c for #include
gmake: *** [pl_parse.o] Error 1

In desperation, I tried to comment out the #include line in gram.y and got:

merlin::postgres 52% gmake
/usr/bin/yacc -d gram.y
mv -f y.tab.c gram.c
sed -e 's/yy/plpgsql_yy/g' -e 's/YY/PLPGSQL_YY/g' <gram.c >pl_gram.c
sed -e 's/yy/plpgsql_yy/g' -e 's/YY/PLPGSQL_YY/g' <y.tab.h >pl.tab.h
cc -I../../../include -I../../../backend     -I../../../interfaces/libpq
-I../../../include -I../../../backend -c -o pl_parse.o pl_gram.c
cfe: Error: gram.y, line 1460: Syntax Error
 //#include "pl_scan.c"
 ^
cfe: Error: gram.y, line 1460: Unknown character # ignored
 //#include "pl_scan.c"
 --^
gmake: *** [pl_parse.o] Error 1

But because the install went slightly further, I decided to retry gmake (of
course removing the offending comment marks):

gmake
/usr/bin/yacc -d gram.y
mv -f y.tab.c gram.c
sed -e 's/yy/plpgsql_yy/g' -e 's/YY/PLPGSQL_YY/g' <gram.c >pl_gram.c
sed -e 's/yy/plpgsql_yy/g' -e 's/YY/PLPGSQL_YY/g' <y.tab.h >pl.tab.h
cc -I../../../include -I../../../backend     -I../../../interfaces/libpq
-I../../../include -I../../../backend -c -o pl_parse.o pl_gram.c
cc -I../../../include -I../../../backend     -I../../../interfaces/libpq
-I../../../include -I../../../backend   -c pl_handler.c -o pl_handler.o
cc -I../../../include -I../../../backend     -I../../../interfaces/libpq
-I../../../include -I../../../backend   -c pl_comp.c -o pl_comp.o
cc -I../../../include -I../../../backend     -I../../../interfaces/libpq
-I../../../include -I../../../backend   -c pl_exec.c -o pl_exec.o
cc -I../../../include -I../../../backend     -I../../../interfaces/libpq
-I../../../include -I../../../backend   -c pl_funcs.c -o pl_funcs.o
ar crs libplpgsql.a pl_parse.o pl_handler.o pl_comp.o pl_exec.o pl_funcs.o
/usr/lib/ar: Warning:ignoring second definition of fmgr_pl_finfo defined in
archive

/usr/lib/ar: Warning:ignoring second definition of fmgr_pl_finfo defined in
archive

/usr/lib/ar: Warning:ignoring second definition of fmgr_pl_finfo defined in
archive

/usr/lib/ar: Warning:ignoring second definition of fmgr_pl_finfo defined in
archive

Result I thought, until I tried gmake install:

merlin::root 1# gmake install
plpgsql not installed due to lack of shared library support.

What do I try next? (Irix 5.3, psSQL 6.4).

Regards,

Stuart.



+-------------------------+--------------------------------------+
| Stuart Rison            | Ludwig Institute for Cancer Research |
+-------------------------+ 91 Riding House Street               |
| Tel. (0171) 878 4041    | London, W1P 8BT, UNITED KINGDOM.     |
| Fax. (0171) 878 4040    | stuart(at)ludwig(dot)ucl(dot)ac(dot)uk              |
+-------------------------+--------------------------------------+

pgsql-interfaces by date

Next:From: Peter HarveyDate: 1999-05-19 11:21:35
Subject: ANNOUNCE: unixODBC Beta 1.0.2
Previous:From: Hannu KrosingDate: 1999-05-19 08:33:20
Subject: Re: [INTERFACES] Problems with money fields.

pgsql-general by date

Next:From: ralliDate: 1999-05-19 18:38:26
Subject: For data based web site, which RDBMS is better & why ?
Previous:From: Kevin LoDate: 1999-05-19 02:45:49
Subject: Re: [GENERAL] Info required about RDM Database

Privacy Policy | About PostgreSQL
Copyright © 1996-2017 The PostgreSQL Global Development Group